Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime.model
Class PluginDescriptorModel

    java.lang.Object
      org.eclipse.core.runtime.model.PluginModelObject
          org.eclipse.core.runtime.model.PluginModel
              org.eclipse.core.runtime.model.PluginDescriptorModel

Deprecated. In Eclipse 3.0 the runtime was refactored and all non-essential elements removed. This class provides facilities primarily intended for tooling. As such it has been removed and no directly substitutable API provided.

public class PluginDescriptorModel
extends PluginModel

An object which represents the user-defined contents of a plug-in in a plug-in manifest.

This class may be instantiated, or further subclassed.

Constructor Summary
`PluginDescriptorModel()` Deprecated. Creates a new plug-in descriptor model in which all fields are `null`.

Method Summary
`boolean` | `getEnabled()` Deprecated. Returns true if this plugin has all of it's prerequisites and is, therefore enabled.
`PluginFragmentModel[]` | `getFragments()` Deprecated. Returns the fragments installed for this plug-in.
`String` | `getPluginClass()` Deprecated. Returns the fully qualified name of the Java class which implements the runtime support for this plug-in.
`String` | `getPluginId()` Deprecated. Returns the unique identifier of the plug-in related to this model or `null`.
`void` | `setEnabled(boolean value)` Deprecated. Sets the value of the field 'enabled' to the parameter 'value'.
`void` | `setFragments(PluginFragmentModel[] value)` Deprecated. Sets the list of fragments for this plug-in.
`void` | `setPluginClass(String value)` Deprecated. Sets the fully qualified name of the Java class which implements the runtime support for this plug-in.

Methods inherited from class org.eclipse.core.runtime.model.PluginModel
`getDeclaredExtensionPoints, getDeclaredExtensions, getId, getLocation, getProviderName, getRegistry, getRequires, getRuntime, getSchemaVersion, getVersion, markReadOnly, setDeclaredExtensionPoints, setDeclaredExtensions, setId, setLocalizedProviderName, setLocation, setProviderName, setRegistry, setRequires, setRuntime, setSchemaVersion, setVersion`

Methods inherited from class org.eclipse.core.runtime.model.PluginModelObject
`assertIsWriteable, getName, getStartLine, isReadOnly, setLocalizedName, setName, setStartLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginDescriptorModel

    public PluginDescriptorModel()

  Deprecated.
  Creates a new plug-in descriptor model in which all fields are `null`.

Method Detail

### getEnabled

    public boolean getEnabled()

  Deprecated.
  Returns true if this plugin has all of it's prerequisites and is, therefore enabled.

  Returns:
    whether or not this plug-in is fully resolved

### getFragments

    public PluginFragmentModel[] getFragments()

  Deprecated.
  Returns the fragments installed for this plug-in.

  Returns:
    this plug-in's fragments or `null`

### getPluginClass

    public String getPluginClass()

  Deprecated.
  Returns the fully qualified name of the Java class which implements the runtime support for this plug-in.

  Returns:
    the name of this plug-in's runtime class or `null`.

### getPluginId

    public String getPluginId()

  Deprecated.
  Returns the unique identifier of the plug-in related to this model or `null`. This identifier is a non-empty string and is unique within the plug-in registry.

  Specified by:
    `getPluginId` in class `PluginModel`
  Returns:
    the unique identifier of the plug-in related to this model (e.g. `"com.example"`) or `null`.

### setEnabled

    public void setEnabled(boolean value)

  Deprecated.
  Sets the value of the field 'enabled' to the parameter 'value'. If this plugin is enabled (default) it is assumed to have all of it's prerequisites.

  Parameters:
    `value` - set to false if this plugin should be disabled and true otherwise.

### setFragments

    public void setFragments(PluginFragmentModel[] value)

  Deprecated.
  Sets the list of fragments for this plug-in. This object must not be read-only.

  Parameters:
    `value` - the fragments for this plug-in. May be `null`.

### setPluginClass

    public void setPluginClass(String value)

  Deprecated.
  Sets the fully qualified name of the Java class which implements the runtime support for this plug-in. This object must not be read-only.

  Parameters:
    `value` - the name of this plug-in's runtime class. May be `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.